const dateFormat = require('dateformat');

class Config {

    constructor() {
        this.accessKey = '6adeafee-66b8-494c-8f80-6da90d3cee63'
        this.secretKey = 'c71c5e5aefd7110ba13ad9d36e0aa52a73d3754c'
        this.vendorId = 'A00184338'
        this.algorithm = 'HmacSHA256'
        this.datetimeUTC = dateFormat(new Date, 'isoUtcDateTime')
        this.datetime = this.datetimeUTC.split('-').join('').split(':').join('').substring(2)

    }
}

module.exports = Config;